Subject: [for-next][PATCH] ftrace: Make CALLER_ADDRx macros more generic

From: [email-masked] (Will Deacon)
Date: Thu, 29 May 2014 09:10:36 +0100

On Thu, May 29, 2014 at 06:27:31AM +0100, AKASHI Takahiro wrote:
> Hi Will

Hi Akashi,

> On 05/28/2014 03:49 AM, Will Deacon wrote:
> > On Tue, May 27, 2014 at 02:10:19PM +0100, Steven Rostedt wrote:
> >> Will,
> >>
> >> I made a separate branch called ftrace/arm64 as shown below. You can
> >> pull that branch to base the rest of Akashi-san's patches on top of it.
> >> The branch is based on top of v3.15-rc5.
> >
> > Thanks Steve, I'll pull that in.
> >
> > Akashi: please can you re-send your series, based on the branch below and
> > including the acks/reviewed-by tags you got for v6 of the patches?
> 
> Sorry again to have missed your e-mail :-)

You should fix your filters!

> I'm sure that you can successfully apply all my patch series, without any
> modification, from:
>      v6 arm64: prerequisites for audit and ftrace
>      v8 arm64: Add ftrace support
> except for the patch, "[v8 1/8] ftrace: make CALLER_ADDRx macros more generic,"
> which was replaced by a new version and already appears in Steven's repo.

Yeah, you're right, I've managed to pick patches 2-8 from that posting --
thanks.

Will